#pragma once
#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Graphics/Font.hpp>
#include "guecs.hpp"

namespace gui {
  class OverlayUI {
    public:
      guecs::UI $gui;

      OverlayUI();

      void init();
      void render(sf::RenderWindow& window);
      void show_sprite(string region, string sprite_name);
      void close_sprite(string region);
      void show_text(std::string region, std::wstring content);
      void update_text(std::string region, std::wstring content);
      void close_text(std::string region);
      void show_label(std::string region, std::wstring content);
      void update_label(std::string region, std::wstring content);
      void close_label(std::string region);
  };
}
